#!/bin/sh

      for USB in ${1:- \
         /dtv/usb/sd* } ; do
         echo "checking $USB"
         sleep 1
         if [ -e "$USB/SamyGO_data/128mb.xfs" ];
         then
		    echo "OK" > "$USB/SamyGO2.txt"
            samygo_data_dir="$USB/SamyGO_data"
         fi
      done
cd /tmp
if [ -z "$samygo_data_dir" ]
then
    echo "SamyGO_data not found."
fi

mkdir /tmp/bin
cp "$samygo_data_dir/UEP_killer.sh" /tmp/bin/
chmod +x /tmp/bin/UEP_killer.sh
/tmp/bin/UEP_killer.sh &

/mtd_exe/InfoLink/lib/unzip -o -P 12345 "$samygo_data_dir/data.zip" -d /tmp/bin/
chmod +x /tmp/bin/busybox
#For Skype only!!!!
#cp /mtd_rwcommon/widgets/user/SamyGO/data/libSkype.so /mtd_rwcommon/moip/engines/Skype/libSkype.so
#cat <<EOF>/mtd_rwcommon/moip/engines/Skype/AutoStart
#EOF

ln -s /dev/loop3 /tmp/loopnone
sync
#chmod +x /mtd_rwcommon/widgets/user/SamyGO/data/busybox
/tmp/bin/busybox losetup /tmp/loopnone "$samygo_data_dir/128mb.xfs"
/bin/busybox find /mnt > /dtv/mnt.txt

#MOUNT_DIR=/mnt
mkdir /mtd_rwcommon/SamyGO_mount
MOUNT_DIR=/mtd_rwcommon/SamyGO_mount

/tmp/bin/busybox mount -o sync,exec /tmp/loopnone $MOUNT_DIR
#/tmp/bin/busybox --install -s $MOUNT_DIR/bin
sync

export PATH=$MOUNT_DIR/bin:$PATH
export LD_LIBRARY_PATH=$MOUNT_DIR/lib:$LD_LIBRARY_PATH

$MOUNT_DIR/bin/busybox tcpsvd -vE 0.0.0.0 21 $MOUNT_DIR/bin/busybox ftpd -w / &
sync
$MOUNT_DIR/bin/samygo_telnetd 2023 &
sync
chmod 777 $MOUNT_DIR/rcSGO
sync
sh -x $MOUNT_DIR/rcSGO
sync 

ps | grep run.sh | grep -v grep | while read child_pid others
do
    echo "Killing child process $child_pid of run.sh"
    kill -9 $child_pid
done
